系统curl版本过低,导致PHP的curl_multi设置timeout失效

2013年3月11日 | 标签: curl, php

curl_multi中,设置CURLOPT_TIMEOUT参数,需要系统curl版本高于7.21.2,否则设置无效。

而curl则没有该限制。

解决方案:升级curl到7.29.0。7.2x解决了很多multi的bug。建议使用multi的升级。


相关博文

  1. 2013年5月5日08:55

    curl 7.30又修了一个mulit的bug,强烈建议升级7.30。

WordPress SEO fine-tune by Meta SEO Pack from Poradnik Webmastera